errlogInit(8192)

< envPaths

dbLoadDatabase("$(TOP)/dbd/imcaadpilatusApp.dbd")
imcaadpilatusApp_registerRecordDeviceDriver(pdbbase)

# Configure asyn port for communicating with PILATUS camserver
drvAsynIPPortConfigure("camserver","10.211.55.17:41234")
asynOctetSetInputEos("camserver",0,"\030")
asynOctetSetOutputEos("camserver",0,"\n")

#
# pilatusDetectorConfig(const char *portName, const char *camserverPort,
#     int maxSizeX, int maxSizeY, int maxBuffers, size_t maxMemory,
#     int priority, int stackSize)
#   portName       driver asyn port name
#   camserverPort  server asyn port name
#   maxSizeX       size of PILATUS detector in X direction
#   maxSizeY       size of PILATUS detector in Y direction
#   maxBuffers     maximum number of buffers for NDArrayPool
#   maxMemory      maximum amount of memory in bytes for NDArrayPool
#   priority       thread priority for asyn port driver thread if
#                  ASYN_CANBLOCK is set in asynFlags
#   stackSize      stack size for asyn port driver thread if ASYN_CANBLOCK is
#                  set in asynFlags
#
pilatusDetectorConfig("PIL1", "camserver", 2463, 2527, 50, 200000000)
dbLoadRecords("$(AREA_DETECTOR)/ADApp/Db/ADBase.template", "P=x7PIL1:,R=det1:,PORT=PIL1,ADDR=0,TIMEOUT=1")
dbLoadRecords("$(TOP)/imcaadpilatusApp/Db/imca-ADBase.template","P=x7PIL1:,R=det1:")
dbLoadRecords("$(AREA_DETECTOR)/ADApp/Db/NDFile.template", "P=x7PIL1:,R=det1:,PORT=PIL1,ADDR=0,TIMEOUT=1")
dbLoadRecords("$(AREA_DETECTOR)/ADApp/Db/pilatus.template","P=x7PIL1:,R=det1:,PORT=PIL1,ADDR=0,TIMEOUT=1,CAMSERVER_PORT=camserver")
dbLoadRecords("$(TOP)/imcaadpilatusApp/Db/imca-pilatus.template","P=x7PIL1:,R=det1:")

dbLoadRecords("$(TOP)/imcaadpilatusApp/Db/imcaadpilatus.db","P=x7PIL1:,R=det1:")

iocInit()

# WORKAROUND: Delay one second after iocInit to ensure GainMenu gets set
epicsThreadSleep 1

dbpf("x7PIL1:det1:TriggerMode","Ext. Trigger")
dbpf("x7PIL1:det1:ArrayCallbacks","Disable")
dbpf("x7PIL1:det1:ThresholdAutoApply","No")
dbpf("x7PIL1:det1:ThresholdEnergy","7.439")
dbpf("x7PIL1:det1:GainMenu","7-30KeV/Fast/LowG")
dbpf("x7PIL1:det1:ThresholdApply","Apply")
dbpf("x7PIL1:det1:FilterTransm","0.0")
dbpf("x7PIL1:det1:OscillAxis","X, CW")

< config.cmd
