#!/bin/sh

appName='imcaadpilatus'
pvPrefix='x7PIL1:'
detName='det1:'

# Use if IOC is listening on nonstandard CA port (in this case, port 55064)
#export EPICS_CA_ADDR_LIST='127.0.0.1:55064'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX [DET_NAME]]'
  echo 'Parameters:'
  echo "  PV_PREFIX  PV name prefix (default: \"$pvPrefix\")"
  echo "  DET_NAME   Detector name (default: \"$detName\")"
  exit 0
fi

if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
if [ "X$2" != 'X' ]; then detName="$2"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../${appName}App/op/adl"
if [ $? -ne 0 ]; then
  echo -n 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../${appName}App/op/adl\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix,R=$detName" "${appName}.adl"
