#!/bin/sh

appName='imcaadpilatus'
epicsHostArch='darwin-x86'

# Use if IOC is listening on nonstandard CA port (in this case, port 55064)
#export EPICS_CA_SERVER_PORT=55064

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: run.sh'
  exit 0
fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../iocBoot/ioc${appName}"
if [ $? -ne 0 ]; then
  echo -n 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../iocBoot/ioc${appName}\"." 1>&2
  exit 1
fi

exec "../../bin/$epicsHostArch/${appName}App" st.cmd
